OhMyGPT
Realtime

Exchange Realtime WebRTC SDP

POST
/v1/realtime/calls

Exchanges a WebRTC SDP offer for an OpenAI Realtime SDP answer. Set the model in session.model of the multipart session field, or in the model query parameter.

授权

ApiKeyAuth
headerAuthorization<token>

查询参数

model?string

Model ID used when the multipart session field omits model.

请求主体

multipart/form-data
  1. body
sdp*string

WebRTC SDP offer.

session?string

JSON-encoded Realtime session object.

响应主体

The SDP answer.

response?stringapplication/sdp
示例请求
curl -X POST 'https://api.ohmygpt.com/v1/realtime/calls' \  -F 'sdp=string'
示例响应
"string"